## netpbm-free 11.09.02

=== converter/other/Makefile ===
ifeq ($(SRCDIR)x,x)
  SRCDIR = $(CURDIR)/../..
  BUILDDIR = $(SRCDIR)
endif
SUBDIR = converter/other
VPATH=.:$(SRCDIR)/$(SUBDIR)

include $(BUILDDIR)/config.mk

# The pkg-config test used to be just 'pkg-config libxml-2.0', without the
# --exists, and on at least one system, it does the same thing as --exists:
# exit code 0 if the package exists; 1 if it does not, with no Standard
# Output.  But we have evidence that on one system, it issues the whole
# package not found try a different path, blah, blah, blah message that
# looks like a failure in the build.  We're hoping --exists does not do that.
# But maybe we didn't do --exists in the first place because it doesn't exist
# on older pkg-config.  19.09.20.
#
# Note that --exists is better for another reason - it fails when the named
# package exists, but it is unusable because its prerequisite packages don't.
#
# Also note that in both cases, the shell command fails if pkg-config
# doesn't even exist.

TEST_PKGCONFIG_LIBXML2 := \
  if $(PKG_CONFIG) libxml-2.0 --exists; then echo exists; fi

ifneq ($(shell $(TEST_PKGCONFIG_LIBXML2)),)
  # pkg-config works and says libxml2 exists on this system
  XML2_LIBS = $(shell $(PKG_CONFIG) libxml-2.0 --libs)
  XML2_CFLAGS = $(shell $(PKG_CONFIG) libxml-2.0 --cflags)
else
  ifeq ($(shell xml2-config --version),)
    XML2_LIBS=NONE
    XML2_CFLAGS=NONE
  else
    XML2_LIBS=$(shell xml2-config --libs)
    XML2_CFLAGS=$(shell xml2-config --cflags)
  endif
endif

SUBDIRS = jbig pnmtopalm jpeg2000 cameratopam pamtosvg
ifneq ($(BUILD_FIASCO), N)
  SUBDIRS += fiasco
endif

ifneq ($(TIFFLIB),NONE)
  ifneq ($(TIFFHDR_DIR)x,x)
    EXTERN_INCLUDES += -I$(TIFFHDR_DIR)
  endif
endif

TEST_PKGCONFIG_LIBPNG := \
  if $(PKG_CONFIG) libpng$(PNGVER) --exists; then echo exists; fi

ifneq ($(shell $(TEST_PKGCONFIG_LIBPNG)),)
  # pkg-config works and says libpng exists on this system
  HAVE_PNGLIB = Y
  EXTERN_INCLUDES += $(shell $(PKG_CONFIG) libpng$(PNGVER) --cflags)
else
  ifneq ($(shell libpng$(PNGVER)-config --version),)
    # No pkg-config, but we have libpng-config on this system
    HAVE_PNGLIB = Y
    EXTERN_INCLUDES += $(shell libpng$(PNGVER)-config --cflags)
  else
    # System can't tell us where libpng is; use stuff from config.mk
    ifneq ($(PNGLIB),NONE)
      HAVE_PNGLIB = Y
      ifneq ($(PNGHDR_DIR)x,x)
        EXTERN_INCLUDES += -I$(PNGHDR_DIR)
      endif
      ifneq ($(ZHDR_DIR)x,x)
        EXTERN_INCLUDES += -I$(ZHDR_DIR)
      endif
    endif
  endif
endif

ifneq ($(JPEGLIB),NONE)
  ifneq ($(JPEGHDR_DIR)x,x)
    EXTERN_INCLUDES += -I$(JPEGHDR_DIR)
  endif
endif
ifneq ($(URTLIB),NONE)
  ifneq ($(URTHDR_DIR)x,x)
    EXTERN_INCLUDES += -I$(URTHDR_DIR)
  endif
endif
ifneq ($(XML2_LIBS),NONE)
  ifneq ($(XML2_CFLAGS),NONE)
    EXTERN_INCLUDES += $(XML2_CFLAGS)
  endif
endif

ifeq ($(TIFFLIB),NONE)
  TIFF_PREREQ_MISSING = Y
endif

TIFFLIB_EXTRALIBS =
ifeq ($(TIFFLIB_NEEDS_JPEG),Y)
  ifeq ($(JPEGLIB),NONE)
    TIFF_PREREQ_MISSING = Y
  else
    TIFFLIB_EXTRALIBS += $(JPEGLIB)
  endif
endif
ifeq ($(TIFFLIB_NEEDS_Z),Y)
  ifeq ($(ZLIB),NONE)
    TIFF_PREREQ_MISSING = Y
  else
    TIFFLIB_EXTRALIBS += $(ZLIB)
  endif
endif

# TIFFLIB_USERLIBS is for the user to set manually, on the make command line
# or manually added to config.mk.  There are arcane situations where the TIFF
# library refers to additional libraries not handled above.

TIFFLIB_EXTRALIBS += $(TIFFLIB_USERLIBS)

# Pnmtops's "flate" compression function requires libz.  But if we don't
# have libz, we still build Pnmtops; we just omit the flate compression
# capability.
ifeq ($(ZLIB),NONE)
  PNMTOPS_ZLIB_OPT =
  PNMTOPS_NOFLATE_OPT = -DNOFLATE
else
  PNMTOPS_ZLIB_OPT = $(ZLIB)
  PNMTOPS_NOFLATE_OPT =
endif


PORTBINARIES =  avstopam bmptopnm fitstopnm \
		gemtopnm giftopnm hdifftopam infotopam \
		pamtoavs pamtodjvurle pamtofits pamtogif \
		pamtohdiff pamtohtmltbl pamtompfont pamtooctaveimg \
		pamtopam pamtopdbimg pamtopfm pamtopnm \
                pamtoqoi pamtosrf pamtouil \
		pamtowinicon pamtoxvmini \
		pbmtopgm pdbimgtopam pfmtopam \
	        pgmtopbm pgmtoppm ppmtopgm pnmtoddif \
		pnmtopclxl pnmtorast \
		pnmtosgi pnmtosir pamtotga pnmtoxwd qoitopam \
		rasttopnm rlatopam sgitopnm sirtopnm srftopam sunicontopnm \
		winicontopam xwdtopnm yuy2topam zeisstopnm \

ifneq ($(DONT_HAVE_PROCESS_MGMT),Y)
  PORTBINARIES += pstopnm pnmtops
endif

ifeq ($(HAVE_PNGLIB),Y)
  PORTBINARIES += pamtopng pnmtopng pngtopam
endif
ifneq ($(JPEGLIB),NONE)
  PORTBINARIES += jpegtopnm pnmtojpeg
endif
ifneq ($(TIFF_PREREQ_MISSING),Y)
  PORTBINARIES += tifftopnm pamtotiff pnmtotiffcmyk
endif
ifneq ($(URTLIB),NONE)
  PORTBINARIES += rletopnm pnmtorle
endif

ifneq ($(XML2_LIBS),NONE)
  PORTBINARIES += svgtopam
endif 

BINARIES = $(PORTBINARIES)

MERGEBINARIES = $(BINARIES)

EXTRA_OBJECTS = exif.o rast.o ipdb.o srf.o
ifeq ($(HAVE_PNGLIB),Y)
  EXTRA_OBJECTS += pngtxt.o
  EXTRA_OBJECTS += pngx.o
endif
ifneq ($(JPEGLIB),NONE)
  EXTRA_OBJECTS += jpegdatasource.o
endif
ifneq (($TIFF_PREREQ_MISSING),Y)
  EXTRA_OBJECTS += tiff.o
endif

OBJECTS = $(BINARIES:%=%.o) $(EXTRA_OBJECTS)
MERGE_OBJECTS = $(MERGEBINARIES:%=%.o2) $(EXTRA_OBJECTS)

HAVE_MERGE_COMPAT=YES

pnmtops.o pnmtops.o2: CFLAGS_TARGET=$(PNMTOPS_NOFLATE_OPT)

SCRIPTS = anytopnm pnmtoplainpnm

.PHONY: all
all:	$(BINARIES) $(SUBDIRS:%=%/all)

include $(SRCDIR)/common.mk

ifeq ($(NEED_RUNTIME_PATH),Y)
  LIBOPTR = -runtime
else
  LIBOPTR =
endif

LIBOPTS_TIFF = $(shell $(LIBOPT) \
  $(LIBOPTR) $(TIFFLIB) $(TIFFLIB_EXTRALIBS))

tifftopnm pamtotiff pnmtotiffcmyk: tiff.o
tifftopnm pamtotiff pnmtotiffcmyk: ADDL_OBJECTS = tiff.o
tifftopnm pamtotiff pnmtotiffcmyk: \
  LDFLAGS_TARGET = \
 $(shell $(LIBOPT)  $(LIBOPTR) $(TIFFLIB) $(TIFFLIB_EXTRALIBS))

ifneq ($(shell $(TEST_PKGCONFIG_LIBPNG)),)
  # pkg-config works and says libpng exists on this system
  PNGLIB_LIBOPTS = $(shell $(PKG_CONFIG) libpng$(PNGVER) --libs)
else
  ifneq ($(shell libpng$(PNGVER)-config --version),)
    # No pkg-config, but we have libpng-config on this system
    PNGLIB_LIBOPTS = $(shell libpng$(PNGVER)-config --ldflags)
  else
    # System can't tell us where libpng is; use stuff from config.mk
    PNGLIB_LIBOPTS = $(shell $(LIBOPT) $(LIBOPTR) $(PNGLIB) $(ZLIB))
  endif
endif

pngtopam: pngx.o
pngtopam: ADDL_OBJECTS = pngx.o
pngtopam: LDFLAGS_TARGET = $(PNGLIB_LIBOPTS)

pamtopng: pngx.o pngtxt.o
pamtopng: ADDL_OBJECTS = pngx.o pngtxt.o
pamtopng: LDFLAGS_TARGET = $(PNGLIB_LIBOPTS)

pnmtopng: pngx.o pngtxt.o
pnmtopng: ADDL_OBJECTS = pngx.o pngtxt.o
pnmtopng: LDFLAGS_TARGET = $(PNGLIB_LIBOPTS)

jpegtopnm: jpegdatasource.o exif.o
jpegtopnm: ADDL_OBJECTS = jpegdatasource.o exif.o
jpegtopnm: LDFLAGS_TARGET = $(shell $(LIBOPT) $(LIBOPTR) $(JPEGLIB))

srftopam pamtosrf: srf.o
srftopam pamtosrf: ADDL_OBJECTS = srf.o

pnmtojpeg: LDFLAGS_TARGET = $(shell $(LIBOPT) $(LIBOPTR) $(JPEGLIB))

svgtopam: LDFLAGS_TARGET = $(XML2_LIBS)

# If URTLIB is BUNDLED_URTLIB, then we're responsible for building it, which
# means it needs to be a dependency:
ifeq ($(URTLIB), $(BUNDLED_URTLIB))
rletopnm pnmtorle: $(URTLIB)
endif

rletopnm pnmtorle: LDFLAGS_TARGET = $(shell $(LIBOPT) $(URTLIB))

pnmtops: LDFLAGS_TARGET = $(shell $(LIBOPT) $(PNMTOPS_ZLIB_OPT))

pnmtorast rasttopnm: rast.o
pnmtorast rasttopnm: ADDL_OBJECTS = rast.o

pdbimgtopam pamtopdbimg: ipdb.o
pdbimgtopam pamtopdbimg: ADDL_OBJECTS = ipdb.o

# Declare dependencies on created header files (symbolic links, actually).

bmptopnm.o bmptopnm.o2: bmp.h

pamtotga.o pamtotga.o2: tga.h

install.bin install.merge: install.bin.local
.PHONY: install.bin.local
install.bin.local: $(PKGDIR)/bin
# Remember that $(SYMLINK) might just be a copy command.
# backward compatibility: program used to be named pnmnoraw
	cd $(PKGDIR)/bin ; \
	$(SYMLINK) pnmtoplainpnm$(EXE) pnmnoraw$(EXE)
# backward compatibility: program used to be gemtopbm
	cd $(PKGDIR)/bin ; \
	$(SYMLINK) gemtopnm$(EXE) gemtopbm$(EXE)
# In October 2001, pnmtojpeg replaced ppmtojpeg
ifneq ($(JPEGLIB),NONE)
	cd $(PKGDIR)/bin ; \
	$(SYMLINK) pnmtojpeg$(EXE) ppmtojpeg$(EXE)
endif
# In March 2002, bmptopnm replaced bmptoppm
	cd $(PKGDIR)/bin ; \
	$(SYMLINK) bmptopnm$(EXE) bmptoppm$(EXE)
# In May 2002, pamtouil replaced ppmtouil
	cd $(PKGDIR)/bin ; \
	$(SYMLINK) pamtouil$(EXE) ppmtouil$(EXE)
# In July 2002, pamtotga replaced ppmtotga
	cd $(PKGDIR)/bin ; \
	$(SYMLINK) pamtotga$(EXE) ppmtotga$(EXE)
# In March 2005, we realized that pamtopnm obviates pnmtopnm
	cd $(PKGDIR)/bin ; \
	$(SYMLINK) pamtopnm$(EXE) pnmtopnm$(EXE)
# In October 2005, pamtofits replaced pnmtofits
	cd $(PKGDIR)/bin ; \
	$(SYMLINK) pamtofits$(EXE) pnmtofits$(EXE)
ifneq ($(TIFF_PREREQ_MISSING),Y)
# In October 2005, pamtotiff replaced pnmtotiff
	cd $(PKGDIR)/bin ; \
	$(SYMLINK) pamtotiff$(EXE) pnmtotiff$(EXE)
endif
ifeq ($(HAVE_PNGLIB),Y)
# In September 2009, pngtopam replaced pngtopnm
	cd $(PKGDIR)/bin ; \
	$(SYMLINK) pngtopam$(EXE) pngtopnm$(EXE)
endif
# In December 2010, sunicontopnm replaced icontopbm
	cd $(PKGDIR)/bin ; \
	$(SYMLINK) sunicontopnm$(EXE) icontopbm$(EXE)
ifeq ($(HAVE_PNGLIB),Y)
# In June 2015, pamtopng replaced pamrgbapng
	cd $(PKGDIR)/bin ; \
	$(SYMLINK) pamtopng$(EXE) pamrgbatopng$(EXE)
endif

mergecomptrylist:
	cat /dev/null >$@
	echo "TRY(\"bmptoppm\",     main_bmptopnm);"     >>$@
	echo "TRY(\"gemtopbm\",     main_gemtopnm);"     >>$@
ifneq ($(JPEGLIB),NONE)
	echo "TRY(\"ppmtojpeg\",    main_pnmtojpeg);"    >>$@
endif
	echo "TRY(\"ppmtouil\",     main_pamtouil);"     >>$@
	echo "TRY(\"ppmtotga\",     main_pamtotga);"     >>$@
	echo "TRY(\"pnmtopnm\",     main_pamtopnm);"     >>$@
	echo "TRY(\"pnmtofits\",    main_pamtofits);"    >>$@
ifneq ($(TIFF_PREREQ_MISSING),Y)
	echo "TRY(\"pnmtotiff\",    main_pamtotiff);"    >>$@
endif
ifeq ($(HAVE_PNGLIB),Y)
	echo "TRY(\"pngtopnm\",     main_pngtopam);"     >>$@
endif
	echo "TRY(\"icontopbm\",    main_sunicontopnm);" >>$@
ifeq ($(HAVE_PNGLIB),Y)
	echo "TRY(\"pamrgbatopng\", main_pamtopng);"     >>$@
endif

=== converter/pbm/Makefile ===
ifeq ($(SRCDIR)x,x)
  SRCDIR = $(CURDIR)/../..
  BUILDDIR = $(SRCDIR)
endif
SUBDIR = converter/pbm
VPATH=.:$(SRCDIR)/$(SUBDIR)

include $(BUILDDIR)/config.mk

PORTBINARIES =	atktopbm brushtopbm cistopbm cmuwmtopbm \
		ddbugtopbm g3topbm escp2topbm \
		macptopbm mdatopbm mgrtopbm mrftopbm \
		pbmto10x pbmto4425 pbmtoascii pbmtoatk \
		pbmtobbnbg pbmtocis pbmtocmuwm pbmtodjvurle \
		pbmtoepsi pbmtoepson pbmtoescp2 \
		pbmtog3 pbmtogem pbmtogo pbmtoibm23xx pbmtosunicon pbmtolj \
		pbmtoln03 pbmtolps \
		pbmtomacp pbmtomatrixorbital pbmtomda pbmtomgr pbmtomrf \
		pbmtonokia \
		pbmtopi3 pbmtoplot pbmtopsg3 pbmtoptx pbmtowbmp \
		pbmtoxbm pbmtoybm pbmtozinc \
		pi3topbm pktopbm \
		wbmptopbm xbmtopbm ybmtopbm	

ifneq ($(LEX)x,x)
  PORTBINARIES += thinkjettopbm
endif

#pbmpage uses sqrt(), which is sometimes in libc, not libm.  Is it ever
#in libm?
MATHBINARIES =	pbmtopk
BINARIES =	$(PORTBINARIES) $(MATHBINARIES)
SCRIPTS =       pbmtox10bm
EXTRA_OBJECTS = g3ttable.o g3prefab.o

OBJECTS = $(BINARIES:%=%.o) $(EXTRA_OBJECTS)

MERGEBINARIES = $(BINARIES)
MERGE_OBJECTS = $(MERGEBINARIES:%=%.o2) $(EXTRA_OBJECTS)

HAVE_MERGE_COMPAT=YES

SUBDIRS=pbmtoppa

.PHONY: all
all: $(BINARIES) $(SUBDIRS:%=%/all)

include $(SRCDIR)/common.mk

ifneq ($(LEX)x,x)
thinkjettopbm.c1:%.c1:%.l
	$(LEX) -t $< >$@
endif

thinkjettopbm.c:%.c:%.c1 $(SRCDIR)/lib/util/lexheader
# Different versions of Lex produce subtly different output, from the
# same .l source file.  The .c1 file contains the raw output from Lex.
# We now massage it so it will compile.  We must add some definitions
# at the top (the lexheader file).  We must remove any yylex and
# yywrap prototype, as our .l file already contains one.  The Lex
# version "Software Generation Utilities (SGU) Solaris-ELF (4.0)"
# puts declarations for yylex and yywrap, as external symbols,
# into its output, causing a duplicate declaration error at compile time.
#
# Schwarb Manfred reports that it compiles OK, but with warnings, on
# Solaris.  Solaris Lex has a -e option that eliminates the lex
# warnings, but causes compiler warnings.  AIX and Flex don't have a
# -e option.  -Bryan 2001.05.16.
#
# But Peter Weisz reported on 2002.12.11 that on Solaris, compile
# failed due to a duplicate declaration of yylex and yywrap with Netpbm
# 10.12, which does not remove those declarations as the current version
# does.
	cat $(SRCDIR)/lib/util/lexheader $< | \
	  grep -v "^[[:space:]]*int yylex(void);" | \
	  grep -v "^[[:space:]]*int yywrap(void);" \
	  >$@

install.bin install.merge: install.bin.local
.PHONY: install.bin.local
install.bin.local: $(PKGDIR)/bin
# Remember that $(SYMLINK) might just be a copy command.
# In December 2010 (Actually January 2011), pbmtosunicon replaced pbmtoicon
	cd $(PKGDIR)/bin ; \
	$(SYMLINK) pbmtosunicon$(EXE) pbmtoicon$(EXE)

mergecomptrylist:
	cat /dev/null >$@
	echo "TRY(\"pbmtoicon\",   main_pbmtosunicon);"     >>$@

thisdirclean: localclean
.PHONY: localclean
localclean:
	-rm -f thinkjettopbm.c

pbmtog3: g3ttable.o g3prefab.o
pbmtog3: ADDL_OBJECTS = g3ttable.o g3prefab.o

g3topbm: g3ttable.o
g3topbm: ADDL_OBJECTS = g3ttable.o

=== converter/pgm/Makefile ===
ifeq ($(SRCDIR)x,x)
  SRCDIR = $(CURDIR)/../..
  BUILDDIR = $(SRCDIR)
endif
SUBDIR = converter/pgm
VPATH=.:$(SRCDIR)/$(SUBDIR)

include $(BUILDDIR)/config.mk

PORTBINARIES =	asciitopgm bioradtopgm fstopgm hipstopgm \
		lispmtopgm pgmtofs pgmtolispm pgmtopgm pgmtosbig pgmtost4 \
	        psidtopgm spottopgm sbigtopgm st4topgm
MATHBINARIES =	rawtopgm
BINARIES =	$(PORTBINARIES) $(MATHBINARIES)

OBJECTS = $(BINARIES:%=%.o)
MERGEBINARIES = $(BINARIES)
MERGE_OBJECTS = $(MERGEBINARIES:%=%.o2)

.PHONY: all
all: $(BINARIES)

include $(SRCDIR)/common.mk

=== converter/other/jpeg2000/libjasper/base/Makefile ===
ifeq ($(SRCDIR)x,x)
  SRCDIR = $(CURDIR)/../../../../..
  BUILDDIR = $(SRCDIR)
endif
SUBDIR = converter/other/jpeg2000/libjasper/base
VPATH=.:$(SRCDIR)/$(SUBDIR)

JASPERSRCDIR=$(SRCDIR)/$(SUBDIR)/..

include $(BUILDDIR)/config.mk

LIB_OBJECTS = jas_debug.o jas_getopt.o jas_image.o jas_init.o \
	      jas_malloc.o jas_seq.o jas_stream.o jas_string.o \
	      jas_tvp.o jas_version.o

MERGE_OBJECTS =

all: partlist $(LIB_OBJECTS)

include $(JASPERSRCDIR)/common.mk

=== debian/changelog ===
netpbm-free (2:11.09.02-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 19 Jan 2025 15:08:07 +0100

netpbm-free (2:11.09.02-1) experimental; urgency=low

  * New upstream version.
    + Includes makeman fix for avoiding empty lines in unordered lists.
      (Thanks, Christoph Brinkhaus!) Closes: #1087509

 -- Andreas Metzler <ametzler@debian.org>  Sun, 29 Dec 2024 07:34:43 +0100

=== debian/control ===
Source: netpbm-free
Section: graphics
Priority: optional
Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
Uploaders:
 Andreas Metzler <ametzler@debian.org>,
 Steve McIntyre <93sam@debian.org>,
Standards-Version: 4.7.0
Build-Depends:
 debhelper-compat (= 13),
 dpkg-dev (>= 1.22.5),
 flex,
 ghostscript <!nocheck>,
 libjpeg-dev,
 libpng-dev,
 libtiff-dev (>= 4.0.10),
 libx11-dev,
 libxml2-dev,
 pkgconf,
 python3,
 zlib1g-dev,
Vcs-Git: https://salsa.debian.org/debian-phototools-team/netpbm.git
Vcs-Browser: https://salsa.debian.org/debian-phototools-team/netpbm
Homepage: https://netpbm.sourceforge.net/
Rules-Requires-Root: no

Package: netpbm
Architecture: any
Multi-Arch: foreign
Depends:
 libnetpbm11t64 (= ${binary:Version}),
 ${misc:Depends},
 ${perl:Depends},
 ${shlibs:Depends},
Recommends:
 ghostscript,
Provides:
 pbmwbmp,
 pnmtopng,
Description: Graphics conversion tools between image formats
 Netpbm is a toolkit for manipulation of graphic images, including
 conversion of images between a variety of different formats. There
 are over 220 separate tools in the package including converters for
 more than 80 graphics formats.

Package: libnetpbm11t64
Replaces:
 libnetpbm11,
Breaks:
 libnetpbm11 (<< ${source:Version}),
Section: libs
Architecture: any
Multi-Arch: same
Provides:
 ${t64:Provides},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Graphics conversion tools shared libraries
 Netpbm is a toolkit for manipulation of graphic images, including
 conversion of images between a variety of different formats. There
 are over 220 separate tools in the package including converters for
 more than 80 graphics formats.
 .
 This package contains the shared libraries used by netpbm.

Package: libnetpbm-dev
Section: libdevel
Architecture: any
Depends:
 libnetpbm11t64 (= ${binary:Version}),
 ${misc:Depends},
Conflicts:
 libnetpbm10-dev,
 libnetpbm11-dev,
 libnetpbm9-dev,
 netpbm-dev,
Replaces:
 libnetpbm11-dev,
Provides:
 libnetpbm11-dev,
 netpbm-dev,
Description: Graphics conversion tools development libraries and header files
 Netpbm is a toolkit for manipulation of graphic images, including
 conversion of images between a variety of different formats. There
 are over 220 separate tools in the package including converters for
 more than 80 graphics formats.
 .
 This development package contains the library and header
 files for the pbm, pgm, pnm, and ppm graphics formats.

=== debian/watch ===
version=4

# opts="mode=svn,pgpmode=none" \
# https://svn.code.sf.net/p/netpbm/code/release_number/ \
#   (\d[\d.]+)/

opts="mode=svn,pgpmode=none,uversionmangle=s/.*/11.09.02/" \
 https://svn.code.sf.net/p/netpbm/code/advanced/ \
 HEAD ignore

# https://sf.net/netpbm/netpbm-?([\w+\d+\.]+|\d+)\.tgz

# userguide is unversioned
opts="mode=svn, pgpmode=none, \
 component=userguide" \
 https://svn.code.sf.net/p/netpbm/code/userguide/ \
 HEAD ignore

## netpbm-free 11.09.03

=== debian/changelog ===
netpbm-free (2:11.09.03-1) unstable; urgency=medium

  * New upstream version.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 02 Mar 2025 07:18:23 +0100

=== debian/watch ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # https://svn.code.sf.net/p/netpbm/code/release_number/ \
 #   (\d[\d.]+)/
 
-opts="mode=svn,pgpmode=none,uversionmangle=s/.*/11.09.02/" \
+opts="mode=svn,pgpmode=none,uversionmangle=s/.*/11.09.03/" \
  https://svn.code.sf.net/p/netpbm/code/advanced/ \
  HEAD ignore

## netpbm-free 11.10.02

=== test/Makefile ===
ifeq ($(SRCDIR)x,x)
  SRCDIR = $(CURDIR)/..
  BUILDDIR = $(SRCDIR)
endif
SUBDIR = test
VPATH = .:$(SRCDIR)/$(SUBDIR)
include $(BUILDDIR)/config.mk

MERGE_OBJECTS =

PROGS =

OMIT_TEST_RULE = 1
include $(SRCDIR)/common.mk

all:

distclean clean: cleanlocal
.PHONY: cleanlocal
cleanlocal:

=== converter/ppm/Makefile ===
ifeq ($(SRCDIR)x,x)
  SRCDIR = $(CURDIR)/../..
  BUILDDIR = $(SRCDIR)
endif
SUBDIR = converter/ppm
VPATH=.:$(SRCDIR)/$(SUBDIR)

include $(BUILDDIR)/config.mk

SUBDIRS = hpcdtoppm ppmtompeg

PORTBINARIES =	411toppm eyuvtoppm gouldtoppm ilbmtoppm imgtoppm \
		leaftoppm mtvtoppm neotoppm \
		pcxtoppm pc1toppm pi1toppm picttoppm pjtoppm \
		ppmtoacad ppmtoapplevol ppmtoarbtxt ppmtoascii \
		ppmtobmp ppmtoeyuv ppmtogif ppmtoicr ppmtoilbm \
		ppmtoleaf ppmtolj ppmtomitsu ppmtoneo \
		ppmtopcx ppmtopi1 ppmtopict ppmtopj \
		ppmtopjxl ppmtoppm ppmtopuzz ppmtorgb3 \
		ppmtosixel ppmtospu ppmtoterm \
		ppmtowinicon ppmtoxpm ppmtoyuv ppmtoyuvsplit \
		qrttoppm rawtoppm rgb3toppm spctoppm \
		sputoppm tgatoppm winicontoppm ximtoppm xpmtoppm xvminitoppm \
		yuvsplittoppm yuvtoppm 

MATHBINARIES = sldtoppm 

# We don't build vidtoppm by default, because it requires special libraries
# and there is no known requirement for vidtoppm.


MERGEBINARIES = $(PORTBINARIES) $(MATHBINARIES)
NOMERGEBINARIES =

BINARIES = $(MERGEBINARIES) $(NOMERGEBINARIES) 

DATAFILES = pcxstd.ppm

OBJECTS = $(BINARIES:%=%.o)

MERGE_OBJECTS = $(BINARIES:%=%.o2)

.PHONY: all
all: $(BINARIES) $(SUBDIRS:%=%/all)

include $(SRCDIR)/common.mk

ppmtobmp.o ppmtobmp.o2: bmp.h

tgatoppm.o tgatoppm.o2: tga.h

=== converter/pbm/pbmtoppa/Makefile ===
ifeq ($(SRCDIR)x,x)
  SRCDIR = $(CURDIR)/../../..
  BUILDDIR = $(SRCDIR)
endif
SUBDIR = converter/pbm/pbmtoppa
VPATH=.:$(SRCDIR)/$(SUBDIR)

include $(BUILDDIR)/config.mk

all: pbmtoppa

PORTBINARIES = pbmtoppa

BINARIES = $(PORTBINARIES)

MERGEBINARIES = $(BINARIES)

ADDL_OBJECTS = ppa.o pbm.o cutswath.o

OBJECTS = pbmtoppa.o $(ADDL_OBJECTS)

MERGE_OBJECTS = pbmtoppa.o2 $(ADDL_OBJECTS)

include $(SRCDIR)/common.mk

pbmtoppa: $(OBJECTS)

=== converter/ppm/ppmtompeg/Makefile ===
ifeq ($(SRCDIR)x,x)
  SRCDIR = $(CURDIR)/../../..
  BUILDDIR = $(SRCDIR)
endif
SUBDIR = converter/ppm/ppmtompeg
VPATH=.:$(SRCDIR)/$(SUBDIR)

include $(BUILDDIR)/config.mk

ifeq ($(JPEGLIB),NONE)
  # 'nojpeg' is a module that implements all the jpeg access routines as
  # error messages that tell you we don't have jpeg capability
  JPEG_MODULE = nojpeg
  JPEGLIBX =
else
  # 'jpeg' is a module that accesses J-movies via the JPEG library.
  JPEG_MODULE = jpeg
  JPEGLIBX = $(JPEGLIB)
endif

COMP_INCLUDES = -I$(SRCDIR)/$(SUBDIR)/headers 

EXTERN_INCLUDES =
ifneq ($(JPEGHDR_DIR),NONE)
  ifneq ($(JPEGHDR_DIR)x,x)
    EXTERN_INCLUDES += -I$(JPEGHDR_DIR)
  endif
endif

# use -DLONG_32 iff
#	1) long's are 32 bits and
#	2) int's are not
#
# one other option:
#	-DHEINOUS_DEBUG_MODE
#

MP_BASE_OBJS = \
  mfwddct.o \
  postdct.o \
  huff.o \
  bitio.o \
  mheaders.o \

MP_ENCODE_OBJS = \
  frames.o \
  iframe.o \
  pframe.o \
  bframe.o \
  psearch.o \
  bsearch.o \
  block.o \

MP_OTHER_OBJS = \
  mpeg.o \
  subsample.o \
  param.o \
  rgbtoycc.o \
  readframe.o \
  combine.o \
  jrevdct.o \
  frame.o \
  fsize.o \
  frametype.o \
  specifics.o \
  rate.o \
  opts.o \
  input.o \

ifeq ($(OMIT_NETWORK),Y)
  MP_OTHER_OBJS += noparallel.o
else
  MP_OTHER_OBJS += parallel.o psocket.o
endif
ifeq ($(MSVCRT),Y)
  MP_OTHER_OBJS += gethostname_win32.o
else
  MP_OTHER_OBJS += gethostname.o
endif

ADDL_OBJECTS = \
  $(MP_BASE_OBJS) \
  $(MP_OTHER_OBJS) \
  $(MP_ENCODE_OBJS) \
  $(JPEG_MODULE).o \

OBJECTS = ppmtompeg.o $(ADDL_OBJECTS)
MERGE_OBJECTS = ppmtompeg.o2 $(ADDL_OBJECTS)
MP_INCLUDE = mproto.h mtypes.h huff.h bitio.h
MP_MISC = Makefile huff.table parse_huff.pl

PORTBINARIES = ppmtompeg
BINARIES = $(PORTBINARIES)
MERGEBINARIES = $(BINARIES)
SCRIPTS = 

.PHONY: all
all: ppmtompeg

include $(SRCDIR)/common.mk

ifeq ($(NEED_RUNTIME_PATH),Y)
  LIBOPTR = -runtime
else
  LIBOPTR =
endif

ppmtompeg: $(ADDL_OBJECTS) $(LIBOPT)
ppmtompeg: LDFLAGS_TARGET = \
  $(shell $(LIBOPT) $(LIBOPTR) $(JPEGLIBX)) $(NETWORKLD)

profile: $(ADDL_OBJECTS) $(LIBOPT)
profile: LDFLAGS_TARGET = \
  -Bstatic -pg \
  $(shell $(LIBOPT) $(LIBOPTR) $(JPEGLIBX)) $(NETWORKLD)

#########
# OTHER #
#########

#
# Perl is necessary if you want to modify the Huffman RLE encoding table.
#
PERL = perl

# The following stuff is for the Huffman encoding tables.  It's commented-out
# because you probably don't want to change this.  If you do, then uncomment
# it.
#
# huff.h: huff.c
#
# huff.c: parse_huff.pl huff.table
#	$(PERL) parse_huff.pl huff.table

MP_ALL_SRCS = $(patsubst %.o, %.c, $(MP_ALL_OBJS))

wc:;		wc -l *.[ch] headers/*.h *.pl *.table
ci:;		ci -l $(MP_ALL_SRCS) $(MP_INCLUDE) $(MP_MISC)
tags: $(MP_ALL_SRCS)
	ctags -t $(MP_ALL_SRCS)
	etags -f TAGS -t $(MP_ALL_SRCS) headers/*.h

#
# WARNING: this assumes you're using GNU indent...
#
indent:;	indent -T FILE -T int8 -T int16 -T int32 -T uint8 -T uint16 -T uint32  -T BitBucket -T MpegFrame -T Block -T FlatBlock $(MP_ALL_SRCS)

spotless: clean	
	rm -f huff.c huff.h *.pure.a

FORCE:

# 
# Copyright (c) 1995 The Regents of the University of California.
# All rights reserved.
# 
# Permission to use, copy, modify, and distribute this software and its
# documentation for any purpose, without fee, and without written agreement is
# hereby granted, provided that the above copyright notice and the following
# two paragraphs appear in all copies of this software.
# 
# IN NO EVENT SHALL THE UNIVERSITY OF CALIFORNIA BE LIABLE TO ANY PARTY FOR
# DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES ARISING OUT
# OF THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF THE UNIVERSITY OF
# CALIFORNIA HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
# 
# THE UNIVERSITY OF CALIFORNIA SPECIFICALLY DISCLAIMS ANY WARRANTIES,
# INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY
# AND FITNESS FOR A PARTICULAR PURPOSE.  THE SOFTWARE PROVIDED HEREUNDER IS
# ON AN "AS IS" BASIS, AND THE UNIVERSITY OF CALIFORNIA HAS NO OBLIGATION TO
# PROVIDE MAINTENANCE, SUPPORT, UPDATES, ENHANCEMENTS, OR MODIFICATIONS.
#

=== converter/other/fiasco/input/Makefile ===
ifeq ($(SRCDIR)x,x)
  SRCDIR = $(CURDIR)/../../../..
  BUILDDIR = $(SRCDIR)
endif
FIASCOSUBDIR = converter/other/fiasco
SUBDIR = $(FIASCOSUBDIR)/input
BUILDDIR = ../../../..
VPATH=.:$(SRCDIR)/$(SUBDIR)

include $(BUILDDIR)/config.mk

OBJECTS =  basis.o matrices.o mc.o nd.o read.o tree.o weights.o

MERGE_OBJECTS = $(OBJECTS)

COMP_INCLUDES = -I$(SRCDIR)/$(FIASCOSUBDIR) -I$(SRCDIR)/$(FIASCOSUBDIR)/lib \
	        -I$(SRCDIR)/$(FIASCOSUBDIR)/codec

all: libfiasco_input.a

include $(SRCDIR)/common.mk

libfiasco_input.a: $(OBJECTS)
	$(AR) -rc $@ $(OBJECTS)
	$(RANLIB) $@

=== debian/changelog ===
netpbm-free (2:11.10.02-1build1) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 20 May 2025 12:20:05 +0200

netpbm-free (2:11.10.02-1) unstable; urgency=medium

  * New upstream version.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 12 Apr 2025 11:24:58 +0200

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export DEB_CPPFLAGS_MAINT_APPEND = -DUNDEBUG
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4
export COMPILED_BY=Debian

include ./version.mk
MAJOR=$(NETPBM_MAJOR_RELEASE)
MINOR=$(NETPBM_MINOR_RELEASE)
POINT=$(NETPBM_POINT_RELEASE)

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --no-parallel

override_dh_auto_configure:
	if [ `printf '%02d.%02d.%02d' $(NETPBM_MAJOR_RELEASE) $(NETPBM_MINOR_RELEASE) $(NETPBM_POINT_RELEASE)` != $(DEB_VERSION_UPSTREAM) ] ; then \
		echo debian infrastructure for version $(DEB_VERSION_UPSTREAM) used with upstream version $(NETPBM_MAJOR_RELEASE).$(NETPBM_MINOR_RELEASE).$(NETPBM_POINT_RELEASE) ; exit 1 ; fi
	cp config.mk.in config.mk
	cat debian/config.mk.debian >> config.mk
	echo "CFLAGS = `dpkg-buildflags --get CFLAGS`" >> config.mk
ifeq ($(DEB_HOST_ARCH),amd64)
	echo 'WANT_SSE = Y' >> config.mk
endif
	# Let blhc ignore build utilities using *_FOR_BUILD_*FLAGS
	@echo 'blhc: ignore-line-regexp: .* -o typegen\.o .*'
	@echo 'blhc: ignore-line-regexp: .* -o endiangen\.o .*'
	@echo 'blhc: ignore-line-regexp: .* -o libopt\.o .*'

override_dh_auto_build:
	dh_auto_build
# build the manpages
	mkdir netpbmdoc
	cd netpbmdoc; \
		$(MAKE) USERGUIDE=../userguide/ -f ../buildtools/manpage.mk manpages
	# Fix manual section
	sed -i 's/^\(\.TH "[^"]\+" \)0 /\11 /' netpbmdoc/*.1

override_dh_auto_clean:
	[ ! -f config.mk ] || $(MAKE) distclean
	rm -rf debian/netpbm-test debian/netpbm-test.bak
	rm -rf netpbmdoc

override_dh_auto_install:
	mkdir -p debian/tmp/
	$(MAKE) package PKGDIR=$(CURDIR)/debian/tmp/usr
# install the manpages
	cd netpbmdoc; \
		$(MAKE) USERGUIDE=../userguide/ -f ../buildtools/manpage.mk report
# install pkgconfig
	install -m 0755 -d debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
	sed -e 's|@INCLUDEDIR@|/usr/include/netpbm|' \
		-e 's|@LINKDIR@|/usr/lib/$(DEB_HOST_MULTIARCH)|' \
		-e 's|@VERSION@|Netpbm $(MAJOR).$(MINOR).$(POINT)|' \
		debian/tmp/usr/pkgconfig_template > debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/netpbm.pc
	mv debian/tmp/usr/lib/libnetpbm.so* \
		debian/tmp/usr/staticlink/libnetpbm.a \
		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/
	ln -s libnetpbm.so.$(MAJOR) \
		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libnetpbm.so
	find debian -name "lib*.la" -delete
	rm -rf debian/tmp/usr/sharedlink

execute_after_dh_installman:
	# tool manweb does not work due to missing /etc/manweb.conf
	find debian -name "manweb*" -delete

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	$(MAKE) check-tree RESULTDIR=$(CURDIR)/debian/netpbm-test
endif

=== debian/watch ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # https://svn.code.sf.net/p/netpbm/code/release_number/ \
 #   (\d[\d.]+)/
 
-opts="mode=svn,pgpmode=none,uversionmangle=s/.*/11.09.03/" \
+opts="mode=svn,pgpmode=none,uversionmangle=s/.*/11.10.02/" \
  https://svn.code.sf.net/p/netpbm/code/advanced/ \
  HEAD ignore

## netpbm-free 11.11.00

=== debian/changelog ===
netpbm-free (2:11.11.00-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Mon, 11 Aug 2025 13:32:56 +0200

netpbm-free (2:11.11.00-1) experimental; urgency=medium

  * New upstream version.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 29 Jun 2025 09:06:11 +0200

=== debian/watch ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # https://svn.code.sf.net/p/netpbm/code/release_number/ \
 #   (\d[\d.]+)/
 
-opts="mode=svn,pgpmode=none,uversionmangle=s/.*/11.10.02/" \
+opts="mode=svn,pgpmode=none,uversionmangle=s/.*/11.11.00/" \
  https://svn.code.sf.net/p/netpbm/code/advanced/ \
  HEAD ignore

## netpbm-free 11.11.01

=== generator/Makefile ===
ifeq ($(SRCDIR)x,x)
  SRCDIR = $(CURDIR)/..
  BUILDDIR = $(SRCDIR)
endif
SUBDIR = generator
VPATH=.:$(SRCDIR)/$(SUBDIR)

include $(BUILDDIR)/config.mk

SUBDIRS = pamtris

# We tend to separate out the build targets so that we don't have
# any more dependencies for a given target than it really needs.
# That way, if there is a problem with a dependency, we can still
# successfully build all the stuff that doesn't depend upon it.
# This package is so big, it's useful even when some parts won't 
# build.

PORTBINARIES = pamcrater pamgauss pamgradient \
	       pamseq pamshadedrelief pamstereogram \
	       pbmpage pbmmake pbmnoise pbmtext pbmupc \
	       pgmkernel pgmmake pgmnoise pgmramp \
	       ppmcie ppmcolors ppmforge ppmmake ppmpat ppmrough ppmwheel \

ifneq ($(DONT_HAVE_PROCESS_MGMT),Y)
PORTBINARIES += pbmtextps 
endif
# We don't include programs that have special library dependencies in the
# merge scheme, because we don't want those dependencies to prevent us
# from building all the other programs.

NOMERGEBINARIES = 
MERGEBINARIES = $(PORTBINARIES)


BINARIES = $(MERGEBINARIES) $(NOMERGEBINARIES)
SCRIPTS = pgmcrater ppmrainbow

OBJECTS = $(BINARIES:%=%.o)

MERGE_OBJECTS = $(MERGEBINARIES:%=%.o2)

.PHONY: all
all: $(BINARIES) $(SUBDIRS:%=%/all)

include $(SRCDIR)/common.mk

=== lib/util/Makefile ===
ifeq ($(SRCDIR)x,x)
  SRCDIR = $(CURDIR)/../..
  BUILDDIR = $(SRCDIR)
endif
SUBDIR = lib/util
VPATH=.:$(SRCDIR)/$(SUBDIR)

default:all

include $(BUILDDIR)/config.mk

# nstring is required for asprintf(), etc.  Also some systems don't have
# snprintf(), e.g. Solaris 2.5.1.  2002.03.29.
UTILOBJECTS = \
  bitio.o \
  filename.o \
  io.o \
  mallocvar.o \
  matrix.o \
  nsleep.o \
  nstring.o \
  rand.o \
  randsysrand.o \
  randsysrandom.o \
  randmersenne.o \
  runlength.o \
  shhopt.o \
  token.o \
  vasprintf.o \

MERGE_OBJECTS =

include $(SRCDIR)/common.mk

all: $(UTILOBJECTS)

$(UTILOBJECTS): CFLAGS_TARGET=$(CFLAGS_SHLIB)

$(UTILOBJECTS):%.o:%.c importinc
	$(CC) -c $(INCLUDES) $(CFLAGS_ALL) -o $@ $<

testnstring: test.c nstring.h nstring.o
	$(CC) $(CFLAGS_ALL) -o $@ nstring.o $<

=== converter/other/pamtosvg/Makefile ===
ifeq ($(SRCDIR)x,x)
  SRCDIR = $(CURDIR)/../../..
  BUILDDIR = $(SRCDIR)
endif
SUBDIR = converter/other/pamtosvg
VPATH=.:$(SRCDIR)/$(SUBDIR)

include $(BUILDDIR)/config.mk

PORTBINARIES = pamtosvg

BINARIES = $(PORTBINARIES)

MERGEBINARIES = $(BINARIES)

ADDL_OBJECTS = \
	output-svg.o \
	fit.o \
	spline.o \
	curve.o \
	point.o \
	vector.o \
	epsilon.o \
	autotrace.o \
	pxl-outline.o \
	bitmap.o \
	thin-image.o \
	logreport.o \
	exception.o \
	image-proc.o \

OBJECTS = pamtosvg.o $(ADDL_OBJECTS)

MERGE_OBJECTS = pamtosvg.o2 $(ADDL_OBJECTS)

all: $(BINARIES)

include $(SRCDIR)/common.mk

pamtosvg: $(ADDL_OBJECTS)

=== converter/ppm/hpcdtoppm/Makefile ===
ifeq ($(SRCDIR)x,x)
  SRCDIR = $(CURDIR)/../../..
  BUILDDIR = $(SRCDIR)
endif
SUBDIR = converter/ppm/hpcdtoppm
VPATH=.:$(SRCDIR)/$(SUBDIR)

include $(BUILDDIR)/config.mk

SCRIPTS =  pcdovtoppm

ifeq ($(file <hpcdtoppm-import/Makefile)x,x)
  # The file does not exist, which means user did not augment the
  # Netpbm source tree by adding hpcdtoppm source code.
  #
  # Therefore, we package the dummy 'hpcdtoppm' program that just tells the
  # user how to get the real one.
  #
  # See README in this directory.
  #
  # (Note that empty file and nonexistent file look the same with
  # $(file)).
  SCRIPTS += hpcdtoppm
else
  SUBDIRS += hpcdtoppm-import
endif

MERGE_OBJECTS =

.PHONY: all
all: $(BINARIES) $(SUBDIRS:%=%/all)

include $(SRCDIR)/common.mk

install.bin install.merge: install.bin.local
.PHONY: install.bin.local
install.bin.local: $(PKGDIR)/bin
# In June 2002, pcdovtoppm replaced pcdindex
	cd $(PKGDIR)/bin ; \
	$(SYMLINK) pcdovtoppm pcdindex


FORCE:

=== debian/changelog ===
netpbm-free (2:11.11.01-1) unstable; urgency=medium

  * Also hardcode version in component. uscan behavior changed in forky.
  * New upstream version.
  * Stop shipping pamtojpeg2k and do not run its test. (Closes: #1097452)

 -- Andreas Metzler <ametzler@debian.org>  Sat, 06 Sep 2025 18:23:14 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Andreas Metzler <ametzler@debian.org>,
  Steve McIntyre <93sam@debian.org>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Build-Depends:
  debhelper-compat (= 13),
  dpkg-dev (>= 1.22.5),

=== debian/rules ===
--- 
+++ 
@@ -65,6 +65,8 @@
 		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libnetpbm.so
 	find debian -name "lib*.la" -delete
 	rm -rf debian/tmp/usr/sharedlink
+	# drop broken command
+	rm -vf debian/tmp/usr/bin/pamtojpeg2k netpbmdoc/pamtojpeg2k.1
 
 execute_after_dh_installman:
 	# tool manweb does not work due to missing /etc/manweb.conf

=== debian/watch ===
version=4

# opts="mode=svn,pgpmode=none" \
# https://svn.code.sf.net/p/netpbm/code/release_number/ \
#   (\d[\d.]+)/

opts="mode=svn,pgpmode=none,uversionmangle=s/.*/11.11.01/" \
 https://svn.code.sf.net/p/netpbm/code/advanced/ \
 HEAD ignore

# https://sf.net/netpbm/netpbm-?([\w+\d+\.]+|\d+)\.tgz

# userguide is unversioned
opts="mode=svn,pgpmode=none,uversionmangle=s/.*/11.11.01/, \
 component=userguide" \
 https://svn.code.sf.net/p/netpbm/code/userguide/ \
 HEAD ignore
